<?php

namespace AutoAdmin\Bundle\Media\Form\Type\Media;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\FileType as BaseFileType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class MediaApiType extends AbstractType
{
    public function configureOptions(OptionsResolver $resolver)
    {
        parent::configureOptions($resolver);
    }

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        parent::buildForm($builder, $options);
        $builder->add('media_upload_type', TextType::class, ['required' => true]);
        $builder->add('media_upload_file', BaseFileType::class, [
            'required' => true,
            'multiple'=> true,
        ]);
    }
}
